--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu k�nnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
if self:getIsActiveForInput() then
	if not self.showHelp then
		renderText(0.77, 0.25, 0.02,InputBinding.getKeyNamesOfDigitalAction(InputBinding.TOGGLE_SHOW_HELP) .." - ".. g_i18n:getText("SHOW_HELP"));
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.77, 0.25, 0.02,InputBinding.getKeyNamesOfDigitalAction(InputBinding.TOGGLE_SHOW_HELP) .." - ".. g_i18n:getText("SHOW_HELP"));
		renderText(0.72, 0.86, 0.025, "ZETOR 16145 TURBO");			
		renderText(0.72, 0.83, 0.02,InputBinding.getKeyNamesOfDigitalAction(InputBinding.BEL3LEFT) .." - ".. g_i18n:getText("BEL3LEFT"));
		renderText(0.72, 0.81, 0.02,InputBinding.getKeyNamesOfDigitalAction(InputBinding.BEL3RIGHT) .." - ".. g_i18n:getText("BEL3RIGHT"));
		renderText(0.72, 0.79, 0.02,InputBinding.getKeyNamesOfDigitalAction(InputBinding.BEL3WARN) .." - ".. g_i18n:getText("BEL3WARN"));			
		renderText(0.72, 0.77, 0.02,InputBinding.getKeyNamesOfDigitalAction(InputBinding.frontwork) .." - ".. g_i18n:getText("frontwork"));
		renderText(0.72, 0.75, 0.02,InputBinding.getKeyNamesOfDigitalAction(InputBinding.backwork) .." - ".. g_i18n:getText("backwork"));
		renderText(0.72, 0.73, 0.02,InputBinding.getKeyNamesOfDigitalAction(InputBinding.XdvereL) .." - ".. g_i18n:getText("XdvereL"));
		renderText(0.72, 0.71, 0.02,InputBinding.getKeyNamesOfDigitalAction(InputBinding.XdvereP) .." - ".. g_i18n:getText("XdvereP"));
		renderText(0.72, 0.69, 0.02,InputBinding.getKeyNamesOfDigitalAction(InputBinding.Xokno) .." - ".. g_i18n:getText("Xokno"));
		renderText(0.72, 0.67, 0.02,InputBinding.getKeyNamesOfDigitalAction(InputBinding.XMMRearCam) .." - ".. g_i18n:getText("MMRearCamON_OFF"));
		renderText(0.72, 0.65, 0.02,InputBinding.getKeyNamesOfDigitalAction(InputBinding.MANUAL_IGNITION_KEY) .." - ".. g_i18n:getText("MANUAL_IGNITION_KEY"));
        
               
	end;
end;
end;
function ShowHelp:onLeave()
	self.showHelp = false;
end;




